package com.aliyun.alink.linksdk.alcs.lpbs.bridge;

import com.aliyun.alink.linksdk.alcs.lpbs.component.auth.IAuthProvider;

public interface IPalAuthRegister {
    /**
     * 注册认证的服务接口
     *
     * @param provider  认证信息的提供接口
     * @return          是否注册成功，true表示注册成功，false表示注册失败
     */
    boolean setAuthProvider(IAuthProvider provider);


    IAuthProvider getProvider();
}
